\documentclass[fleqn]{article}
\usepackage{accsupp}
\usepackage{amssymb}
\usepackage{mathtools}
\usepackage{geometry}
\usepackage{graphics}
\usepackage[utf8]{inputenc} 
\usepackage[english]{babel}
\usepackage{tabularx}
\usepackage{lastpage}
\usepackage{listings}
\usepackage{xcolor}
\usepackage{courier}
\usepackage{url}
\geometry{
	a4paper,
	total={170mm,257mm},
	left=20mm,
	top=20mm,
}
\usepackage{fancyhdr}
\setlength{\headsep}{0pt}
\pagestyle{fancy} 
\rfoot{\thepage\ of \pageref{LastPage}}
\lfoot{Rover Documentation: Tracing of Linux Processes and Threads using Rover Implementations}
\cfoot{}
\lhead{}
\renewcommand{\footrulewidth}{1pt}

\lstset{language=C, numbers=left, numberstyle=\small, basicstyle=\ttfamily\bfseries, showstringspaces=false, numbersep=10pt, numberblanklines=false, frame=single,  backgroundcolor=\color{mygray}, xleftmargin=15pt,  linewidth=1\linewidth,  breaklines=true, captionpos=b, tabsize=2, keywordstyle=\bfseries, morekeywords={package, class, final, new, WHILE, ENDWHILE, FOR, ENDFOR, IF, if, then, else, fi, ENDIF, ELSE, SWITCH, CASE, ENDSWITCH}, escapeinside={*@}{@*}, breakindent=5pt}
%commentstyle=\color{olive},